JHErrorElement (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.html
Class JHErrorElement

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.html.JHElement
          edu.harvard.hul.ois.jhove.module.html.JHErrorElement

    public class JHErrorElement

extends JHElement

A JHElement which signifies a syntactic error.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.html.JHElement
`_column, _line`

Constructor Summary
`JHErrorElement(java.util.List elements, java.lang.String message, java.lang.String image, boolean illFormed)` Constructor.

Method Summary
`java.lang.String` | `getImage()`
`void` | `reportError(RepInfo info)` Puts the item's error message into the RepInfo object, and affects the wellFormed and valid flags as required.

Methods inherited from class edu.harvard.hul.ois.jhove.module.html.JHElement
`getColumn, getEntities, getLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JHErrorElement

    public JHErrorElement(java.util.List elements,
                          java.lang.String message,
                          java.lang.String image,
                          boolean illFormed)

  Constructor.

  Parameters:
    `elements` - List of elements representing the document.
    `message` - Message to be reported
    `image` - Textual representation of the offending portion. This will be used as the submessage of a generated ErrorMessage.
    `illFormed` - `true` if the error makes the document not well-formed, `false` if it makes it only invalid.

Method Detail

### getImage

    public java.lang.String getImage()

### reportError

    public void reportError(RepInfo info)

  Puts the item's error message into the RepInfo object, and affects the wellFormed and valid flags as required. Once it's determined that a document is not well-formed, error elements indicating only invalidity will be ignored. However, additional messages that indicate the current level of badness (not well-formed or invalid) will continue to be reported.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD